AM261x MCU+ SDK: CpswAle_SetPolicerEntryOutArgs Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswAle_SetPolicerEntryOutArgs Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Forwarding Database (FDB) » CPSW Address Lookup Engine (ALE)

## Detailed Description

Input args for CPSW_ALE_IOCTL_SET_POLICER command.

## Data Fields
uint32_t | ouiAleEntryIdx
uint32_t | srcMacAleEntryIdx
uint32_t | dstMacAleEntryIdx
uint32_t | ivlanAleEntryIdx
uint32_t | ovlanAleEntryIdx
uint32_t | etherTypeAleEntryIdx
uint32_t | srcIpAleEntryIdx
uint32_t | dstIpAleEntryIdx
uint32_t | policerEntryIdx

## Field Documentation

## ◆ ouiAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::ouiAleEntryIdx

OUI ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_OUI in policerMatchEnMask is set

## ◆ srcMacAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::srcMacAleEntryIdx

MAC address ALE table entry index to match source MAC address. Valid if bit CPSW_ALE_POLICER_MATCH_MACSRC in policerMatchEnMask is set

## ◆ dstMacAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::dstMacAleEntryIdx

MAC address ALE table entry index to match destination MAC address. Valid if bit CPSW_ALE_POLICER_MATCH_MACDST in policerMatchEnMask is set

## ◆ ivlanAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::ivlanAleEntryIdx

Inner VLAN ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_IVLAN in policerMatchEnMask is set

## ◆ ovlanAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::ovlanAleEntryIdx

Outer VLAN ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_OVLAN in policerMatchEnMask is set

## ◆ etherTypeAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::etherTypeAleEntryIdx

EtherType ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_ETHERTYPE in policerMatchEnMask is set

## ◆ srcIpAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::srcIpAleEntryIdx

IP address ALE table entry index to match as source IP address. Valid if bit CPSW_ALE_POLICER_MATCH_IPSRC in policerMatchEnMask is set

## ◆ dstIpAleEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::dstIpAleEntryIdx

IP address ALE table entry index to match as destination IP address. Valid if bit CPSW_ALE_POLICER_MATCH_IPDST in policerMatchEnMask is set

## ◆ policerEntryIdx

uint32_t CpswAle_SetPolicerEntryOutArgs::policerEntryIdx

ALE policer table entry index